# The name of the archive file 
archiveName=dsdp-${subprojectName}-runtime-incubation-${buildId}.zip

featureArchivePrefix

#The directory into which the build elements are fetched and where the build takes place.
buildDirectory=${builder}/../eclipse

# Type of build.  Used in naming the build output.  Typically this value is
# one of I, N, M, S, ...
buildType=${buildType}

# Label for the build.  Used in naming the build output
buildLabel=${buildType}_${buildId}

# Timestamp for the build.  Used in naming the build output
#timestamp=

#collPlace=.
#collBase=.

# Base location for anything the build needs to compile against.  For example,
# in most RCP app or a plug-in,  the baseLocation should be the location of a previously
# installed Eclipse against which the application or plug-in code will be compiled and the RCP delta pack.
base=${buildDirectory}/../base
baseLocation=${base}/eclipse

# The list of {os, ws, arch} configurations to build.  This 
# value is a '&' separated list of ',' separate triples.  For example, 
#		configs=win32, win32, x86 & \
#					win32, wpf, x86 &\
#					linux, gtk, ppc &\
#					linux, gtk, x86 & \
#					linux, gtk, x86_64 & \
#					linux, motif, x86 & \
#					solaris, motif, sparc & \
#					solaris, gtk, sparc & \
#					aix, motif, ppc & \
#					hpux, motif, PA_RISC & \
#					macosx, carbon, ppc
# By default the value is *,*,*
configs=*,*,*

#Os/Ws/Arch/nl of the eclipse specified by baseLocation
#baseos=win32
#basews=win32
#basearch=x86

J2SE-1.5=/opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/BD.jar;\
  /opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/charsets.jar;\
  /opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/core.jar;\
  /opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/deploy.jar;\
  /opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/graphics.jar;\
  /opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/ibmcertpathprovider.jar;\
  /opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/ibmcfw.jar;\
  /opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/ibmjaaslm.jar;\
  /opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/ibmjcefw.jar;\
  /opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/ibmjgssprovider.jar;\
  /opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/ibmjsseprovider2.jar;\
  /opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/ibmorb.jar;\
  /opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/ibmorbapi.jar;\
  /opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/ibmpkcs.jar;\
  /opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/javaplugin.jar;\
  /opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/javaws.jar;\
  /opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/security.jar;\
  /opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/server.jar;\
  /opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/vm.jar;\
  /opt/public/dsdp/JDKs/ibm-java2-ppc-50/jre/lib/xml.jar
  
# Default value for the version of the source code. This value is used when compiling plug-ins that do not set the Bundle-RequiredExecutionEnvironment or set javacSource in build.properties
javacSource=1.5

# Default value for the version of the byte code targeted. This value is used when compiling plug-ins that do not set the Bundle-RequiredExecutionEnvironment or set javacTarget in build.properties.
javacTarget=1.5

# Specify the output format of the compiler log when eclipse jdt is used
logExtension=.log

# Whether or not to include debug info in the output jars
javacDebugInfo=false 

# Whether or not to fail the build if there are compiler errors
javacFailOnError=true

# Enable or disable verbose mode of the compiler
javacVerbose=true

#Arguments to send to the zip executable
zipargs=

#The format of the archive. By default a zip is created using antZip.
archivesFormat = * , *, * - antZip

# The prefix that will be used in the generated archive.
archivePrefix=
featureArchivePrefix=features
pluginArchivePrefix=plugins

# The location underwhich all of the build output will be collected.
collectingFolder=eclipse

#Enable / disable the generation of a suffix for the features that use .qualifier.
#The generated suffix is computed according to the content of the feature
generateFeatureVersionSuffix=true